Skip to main content
`Ctrl`+`K`

# PetscDrawSPSetDimension

Change the number of points that are added at each `PetscDrawSPAddPoint()`

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPSetDimension(PetscDrawSP sp, int dim)

Not Collective

## Input Parameters

- sp - the scatter plot context.

- dim - the number of point curves on this process

## See Also

`PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages